Website

All pending tasks and bugs related to the website.
Tasklist

FS#2966 - older version of AI not available in older opentdd versions

Attached to Project: Website
Opened by Thijs Marinussen (Yexo) - Sunday, 07 June 2009, 14:02 GMT
Last edited by Patric Stout (TrueBrain) - Wednesday, 17 June 2009, 11:32 GMT
Type Bug
Category BaNaNaS
Status Confirmed
Assigned To No-one
Operating System All
Severity Medium
Priority Normal
Reported Version 1.0
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 3
Private No

Details

Since I've uploaded AdmiralAI v21 (which is available in 0.7.1 and later), no version of AdmiralAI can be downloaded in 0.7.0. In my opinion 0.7.0 should offer v20 as download.
This task depends upon

Comment by Kogut (Kogut) - Tuesday, 26 June 2012, 19:50 GMT
Still happens, 3 years later.
Comment by frosch (frosch) - Saturday, 21 July 2012, 11:16 GMT
This effect is caused by the SQL statement in FindContentDetails(ContentInfo, length, type, version):
http://vcs.openttd.org/svn/browser/extra/masterserver_updater/src/shared/mysql.cpp#L431

It only selects "published" stuff which matches the version restrictions. "published" is only the latest version visible on the website.

Remains the question whether the TOS actually allow this.

In theory we could work around the TOS by adding some selection box to BaNaNaS which versions are "published". Something like "do not offer for download", "offer for download if newest compatible", "always offer for download".
That way the user could select whether he wants to offer multiple versions for download instead of only newest.

Loading...